Skip to end of metadata
Go to start of metadata

Supported Browsers

The following browsers have been tested by Pepperdine as compatible or supported. If your Web browser is not listed here, please use or install one of the browsers listed below for the best browsing experience with Pepperdine systems.

  • Internet Explorer 9 for Windows (info)
  • Mozilla Firefox 8.x for Windows/Mac (info)

Instructions by Browser

Current Browsers

Older Browsers

  • Apple Safari 3.x for Windows or Mac (not supported)
  • Apple Safari 4.x for Windows or Mac (not supported)
  • Apple Safari 5.x for Windows or Mac (not recommended)
  • Google Chrome 1.x for Windows (not supported)
  • Internet Explorer 6 for Windows (not supported, please upgrade to IE 9 or higher)
  • Internet Explorer 7 for Windows (not supported, please upgrade to IE 9 or higher)
  • Mozilla Firefox 1.x for Windows or Mac (not supported; please upgrade to Firefox 8 or higher)
  • Mozilla Firefox 2.x for Windows or Mac (not supported; please upgrade to Firefox 8 or higher)
  • Mozilla Firefox 3.x for Windows or Mac (not supported; please upgrade to Firefox 8 or higher)
  • Netscape 9.x for Windows (not supported; please switch to Firefox)

Back to Top

Browser Settings Requirements

The following are the core browser setting requirements to use common services, like Blackboard, effectively.

  • Cookies Enabled
  • JavaScript Enabled
  • Java Installed and Enabled
  • Allow Pop-Ups from Pepperdine services (or disable pop-up blocker(s))

Back to Top